csGetFromAddress Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

csGetFromAddress Struct Reference
Utilities

Sized data type access helpers. More...

`#include <csutil/csendian.h>`

List of all members.

## Static Public Member Functions
static uint16 | UInt16 (const void *buff)
| Get specifically sized type from unaligned memory address.
static int16 | Int16 (const void *buff)
| Get specifically sized type from unaligned memory address.
static uint32 | UInt32 (const void *buff)
| Get specifically sized type from unaligned memory address.
static int32 | Int32 (const void *buff)
| Get specifically sized type from unaligned memory address.
static uint64 | UInt64 (const void *buff)
| Get specifically sized type from unaligned memory address.
static int64 | Int64 (const void *buff)
| Get specifically sized type from unaligned memory address.

## Detailed Description

Sized data type access helpers.

On some platforms, certain data types can only be accessed when correctly aligned (e.g. uint32 can only be read from addresses aligned to 4 bytes). This routines assist accessing sized types from arbitrary memory positions (e.g. when parsing files from memory) by working around the alignment requirements on platforms that have such.

Definition at line 335 of file csendian.h.

## Member Function Documentation

static int16 csGetFromAddress::Int16 | ( | const void * | buff | ) | `[inline, static]`

Get specifically sized type from unaligned memory address.

Definition at line 348 of file csendian.h.

static int32 csGetFromAddress::Int32 | ( | const void * | buff | ) | `[inline, static]`

Get specifically sized type from unaligned memory address.

Definition at line 359 of file csendian.h.

static int64 csGetFromAddress::Int64 | ( | const void * | buff | ) | `[inline, static]`

Get specifically sized type from unaligned memory address.

Definition at line 370 of file csendian.h.

static uint16 csGetFromAddress::UInt16 | ( | const void * | buff | ) | `[inline, static]`

Get specifically sized type from unaligned memory address.

Definition at line 339 of file csendian.h.

static uint32 csGetFromAddress::UInt32 | ( | const void * | buff | ) | `[inline, static]`

Get specifically sized type from unaligned memory address.

Definition at line 350 of file csendian.h.

static uint64 csGetFromAddress::UInt64 | ( | const void * | buff | ) | `[inline, static]`

Get specifically sized type from unaligned memory address.

Definition at line 361 of file csendian.h.

The documentation for this struct was generated from the following file:

- csutil/csendian.h